# $Revision: 1.48 $, $Date: 2011/01/23 10:58:06 $
%include	/usr/lib/rpm/macros.php
%define		_class		Config
%define		_pearname	%{_class}
%define		_status		stable

Summary:	%{_pearname} - class for reading and writing Config-"files"
Summary(pl.UTF-8):	%{_pearname} - klasa do odczytu i zapisu plików konfiguracyjnych
Name:		php-pear-%{_pearname}
Version:	1.10.12
Release:	1
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	cd920778835ee1a56bdae18d49f0b003
URL:		http://pear.php.net/package/Config/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear
Suggests:	php-pear-XML_Parser
Suggests:	php-pear-XML_Util
Obsoletes:	php-pear-Config-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq	'pear(XML/Parser.*)' 'pear(XML/Util.*)'

%description
The Config package provides methods for editing configuration
datasources. It does so in an object oriented manner, defining each
and every items found in the config datasource as a Config_Container
of various types (comments, sections, directives, blanks, ...). Items
can then be edited, added, removed, inserted. This package is not
intended for reading configuration data only, but for editing them. If
you only want to read your configuration data, use functions like
parse_ini_file() and the like instead, they are much faster.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Pakiet Config udostępnia metody do edycji zasobów konfiguracyjnych.
Robi to w sposób zorientowany obiektowo, definiując każdy element
znaleziony w zasobie konfiguracyjnym jako Config_Container różnych
typów (komentarz, sekcja, dyrektywa, odstęp...). Elementy mogą być
modyfikowane, dodawane, usuwane, wstawiane. Ten pakiet nie ma służyć
tylko do czytania danych konfiguracyjnych, ale także do edycji ich.
Tylko do czytania danych lepiej używać funkcji typu parse_ini_file(),
które są dużo szybsze.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f %{_docdir}/%{name}-%{version}/optional-packages.txt ]; then
	cat %{_docdir}/%{name}-%{version}/optional-packages.txt
fi

%files
%defattr(644,root,root,755)
%doc install.log optional-packages.txt
%doc docs/%{_pearname}/docs/*
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/*.php
%{php_pear_dir}/%{_class}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Config.spec,v $
Revision 1.48  2011/01/23 10:58:06  glen
- up to 1.10.12

Revision 1.47  2011/01/23 01:03:03  sparky
- dropped -tests subpackage

Revision 1.46  2010/08/21 19:08:47  glen
- updated deps with pearize.sh
- release 3

Revision 1.45  2008/01/31 12:16:05  glen
- rel 2

Revision 1.44  2007-07-04 22:47:05  glen
- update to 1.10.11

Revision 1.43  2007/02/13 08:06:39  glen
- tabs in preamble

Revision 1.42  2007/02/12 01:06:24  baggins
- converted to UTF-8

Revision 1.41  2006/12/26 02:07:15  adamg
- updated to 1.10.9

Revision 1.40  2006/11/26 20:22:01  glen
- 1.10.8

Revision 1.39  2006/09/03 18:37:28  adamg
- updated to 1.10.7

Revision 1.38  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.37  2006/04/02 13:48:06  glen
- AutoProv: no for -tests

Revision 1.36  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.35  2006/02/20 21:48:14  glen
- group Development/Languages/PHP for -tests

Revision 1.34  2006/02/16 18:19:20  glen
- 1.10.6

Revision 1.33  2006/01/09 09:05:25  glen
- 1.10.5

Revision 1.32  2006/01/08 18:04:08  glen
- AutoReq: no for -tests

Revision 1.31  2005/10/05 18:31:31  glen
- rel 2

Revision 1.30  2005/09/27 22:11:26  glen
- pl for -tests

Revision 1.29  2005/09/19 21:43:39  glen
- integer BR

Revision 1.28  2005/09/19 18:54:03  glen
- merged from DEVEL: use new pear packaging system

Revision 1.27.2.2  2005/09/19 17:36:33  glen
- macros moved to rpm-build

Revision 1.27.2.1  2005/09/18 18:55:51  glen
- use php-pear-build

Revision 1.27  2005/02/19 18:04:42  adamg
- updated to 1.10.4

Revision 1.26  2004/12/03 21:01:52  adamg
- simplified %%files
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.25  2004/10/20 10:07:55  adamg
- updated to 1.10.3

Revision 1.24  2004/07/08 19:59:25  adamg
- updated to 1.10.2

Revision 1.23  2004/06/05 19:46:41  adamg
- updated to 1.10.1

Revision 1.22  2004/05/30 13:13:47  adamg
- fixed english information about status of the package

Revision 1.21  2003/11/30 16:10:22  adamg
- updated to 1.10

Revision 1.20  2003/10/07 20:54:19  adamg
- do not use macros in URL

Revision 1.19  2003/09/21 21:49:41  adamg
- updated to 1.9

Revision 1.18  2003/09/07 23:20:14  adamg
- updated to 1.8.1

Revision 1.17  2003/08/31 20:49:09  adamg
- more specific URL

Revision 1.16  2003/08/31 10:40:01  adamg
- updated to 1.8

Revision 1.15  2003/06/16 19:49:15  adamg
- updated to 1.7
- added missing status info in %%description

Revision 1.14  2003/05/28 10:50:28  adamg
- massive manual attack: pear packages update

Revision 1.13  2003/05/28 08:58:35  adamg
- massive attack: added source0-md5

Revision 1.12  2003/05/25 06:25:18  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.11  2002/11/15 12:26:42  misto
- removed _noautoreq 'pear(stdclass)'
   (not needed with new pear-req/prov scripts)
- working Ra version branched in RA-branch
- release 3

Revision 1.10  2002/10/14 23:37:32  misto
- new rpm-php-requires/provides scripts
- release 4

Revision 1.9  2002/10/14 15:08:11  malekith
- noautoreq pear(stdclass) (workaround)

Revision 1.8  2002/10/11 12:40:47  qboosh
- pl description, release 2

Revision 1.7  2002/10/10 16:36:00  blues
- 1.1

Revision 1.6  2002/10/10 16:34:24  blues
- 1.0 - WARNING: comletelly rewritten, not compatible, do NOT STBR

Revision 1.5  2002/09/07 19:25:59  blues
- fix in macros

Revision 1.4  2002/07/12 15:23:02  blues
- release 3
- rebuild with new rpm
- cosmetic patch - dependencies are generated correctly now

Revision 1.3  2002/07/10 00:55:49  kloczek
- release 2.

Revision 1.2  2002/07/07 20:57:59  qboosh
- pl fix

Revision 1.1  2002/07/04 00:51:46  blues
- initial release (brand new class)
